

Welcome to the Swarm documentation!
===================================

..  image:: img/swarm.png
   :height: 300px
   :width: 238px
   :scale: 50 %
   :alt: swarm-logo
   :align: left

Swarm is a distributed storage platform and content distribution network, a native base layer service of the Ethereum **web3** stack. 

This documentation was created with curious end-users, third web enterpreneurs and developers in mind. It should make you thoroughly educated about Swarm within a reasonable amount of time.

|

Table of contents:

.. toctree::
   :numbered:
   :maxdepth: 3

   introduction
   installation
   gettingstarted
   up-and-download
   usage
   pss
   apireference
   configuration
   architecture
   resources


This document is licensed under the @emph{Creative Commons Attribution License}. To
view a copy of this license, visit http://creativecommons.org/licenses/by/2.0/

Indices and tables
==================

* :ref:`genindex`
* :ref:`modindex`
* :ref:`search`
